8 Replies Latest reply: Jan 2, 2013 2:44 AM by theViberTeam
mayang20 Level 1 Level 1 (0 points)

Hi viber team.. I'm using an iPhone 3G now and had viber working for a few months.. Then I had it uninstalled due to a mistaken problem..

Now I wanted to reinstall a new problem but I can't do it anymore.. Your latest version of viber is 2.2.. It says it is not compatible with my OS which is 4.2.1... What shall I do to install the older version or the fixed version of viber? please help... Thanks


iPhone 3G, iOS 4.2
  • 1. Re: Old version of viber
    mayang20 Level 1 Level 1 (0 points)

    Sorry, what I meant is that I want to reinstall a new viber but I can't anymore...

  • 2. Re: Old version of viber
    cheonweb Level 4 Level 4 (3,440 points)

    Did you ever backup in iTunes?

    The old version is there unless you update it through iTunes.

    Because you have an old iPhone do not ever update apps through iTunes. Only through iPhone.

  • 3. Re: Old version of viber
    mayang20 Level 1 Level 1 (0 points)

    Thanks cheonweb... I never updated my iPhone through iTunes nor had a back up.. :-( where to check the old version of viber?

  • 4. Re: Old version of viber
    ckuan Level 7 Level 7 (21,515 points)

    Nobody works for Viber here, you have to contact them at their website.

  • 5. Re: Old version of viber
    cheonweb Level 4 Level 4 (3,440 points)

    Plug your iPhone. Open iTunes. Find your device at the left pane of iTunes. Go to apps tab. Check Viber. Sync.

    You can also backup this app. Go to apps in iTunes (left pane under your music library). Find Viber. Right click on it and select open in finder/explorer. Copy the app file somewhere else in your computer.

  • 6. Re: Old version of viber
    theViberTeam Level 1 Level 1 (105 points)

    Hi,

    This is a member of the Viber R&D Team!

     

    Viber temporarily supports only iOS 4.3 and above. We are working to fix this issue ASAP. Please stay tuned!

     

    Please feel free to let us know your thoughts, questions and comments, we'd be happy to assist.

    Thanks,

    Viber

  • 7. Re: Old version of viber
    ckarni Level 1 Level 1 (0 points)

    hey there. i got the  iOs 4.2.1 at my phone and i had viber and it was working perfectly. 3 days ago I had to restore my iphone and when i tried to put back viber it just wouldn't be installed cause it says that it's not compatible anymore. will I ever be able to use the application again at my iOs 4.2.1 iphone or not?

  • 8. Re: Old version of viber
    theViberTeam Level 1 Level 1 (105 points)

    @ckarni -

     

    Please note that Viber does not officially support iPhone 3 and below nor iOS4.2 and below at this stage, and this is probably the reason for the problems you're experiencing. We are planning to roll back Viber in AppStore only for iPhone3 and iOS4.2 users, so that they can use an older version of Viber, that's compatible with their phone, and we hope to complete this step as soon as possible.


    We apologize for the temporary inconvenience, and we recommend that you stay tuned for updates and news through AppStore or via our official Facebook page.